Page MenuHomePhabricator

Emit `| -` for `<td>-</td>` rather than nowiki soup
Closed, ResolvedPublic

Description

As @cscott proposed on T88318 , <td>-</td> should not be serialized as |<nowiki>-</nowiki> but instead as | - (with a space to dodge T88318).

Event Timeline

Catrope created this task.Mar 18 2015, 6:50 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Catrope, cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 6:50 PM
gpaumier updated the task description. (Show Details)Mar 18 2015, 7:48 PM
gpaumier set Security to None.
gpaumier added subscribers: gpaumier, Eloquence.
ssastry triaged this task as Normal priority.Mar 18 2015, 9:48 PM
ssastry moved this task from Backlog to In Progress on the Parsoid board.Aug 4 2015, 2:40 PM
ssastry raised the priority of this task from Normal to High.Aug 4 2015, 2:57 PM
ssastry added a project: Parsoid-Nowiki.
ssastry added a subscriber: ssastry.

As per this analysis, this is one of the bigger sources of nowiki insertions right now.

Change 229186 had a related patch set uploaded (by Arlolra):
Scrub table cells starting with dashes

https://gerrit.wikimedia.org/r/229186

Change 229186 merged by jenkins-bot:
Scrub table cells starting with escapable prefixes

https://gerrit.wikimedia.org/r/229186

Arlolra added a subscriber: Arlolra.

This should be fixed for new nodes. As with T107774, we need to come up with a more general solution for modified content, which may mean doing normalizations after dom diff'ing.

NicoV added a subscriber: NicoV.Aug 5 2015, 9:52 AM

Is it also working for |+ ?

Is it also working for |+ ?

Yes. This will likely be deployed today. However, this will not yet solve all the nowiki issues in this context. Edited content will still see nowikis. I am going to try and tackle that separately in a more general fashion.

cscott added a comment.Aug 5 2015, 4:03 PM

I agree that scrubWikitext is probably not the right place for this; we need a more general mechanism to specify possible wikitext escapes other than just throwing <nowiki> around.

ssastry closed this task as Resolved.Aug 12 2015, 9:06 PM
ssastry claimed this task.

With the deployment today that allows normalization of edited content, i think we can call this done. There are a couple minor tweaks to be done to this, but the nowiki part of this should itself be resolved. Please reopen if this shows up again.